gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.MultiFilter

Contents

- Exported types
- Methods
  - append
  - remove
- Properties
  - itemType
  - nItems

Description

Base class for filters that combine multiple filters.

Synopsis

- newtype MultiFilter = MultiFilter (ManagedPtr MultiFilter)
- class (GObject o, IsDescendantOf MultiFilter o) => IsMultiFilter o
- toMultiFilter :: (MonadIO m, IsMultiFilter o) => o -> m MultiFilter
- multiFilterAppend :: (HasCallStack, MonadIO m, IsMultiFilter a, IsFilter b) => a -> b -> m ()
- multiFilterRemove :: (HasCallStack, MonadIO m, IsMultiFilter a) => a -> Word32 -> m ()
- getMultiFilterItemType :: (MonadIO m, IsMultiFilter o) => o -> m GType
- getMultiFilterNItems :: (MonadIO m, IsMultiFilter o) => o -> m Word32

# Exported types

newtype MultiFilter Source #

Memory-managed wrapper type.

Constructors

MultiFilter (ManagedPtr MultiFilter) |

#### Instances

Instances details

Eq MultiFilter Source # |
Instance details Defined in GI.Gtk.Objects.MultiFilter Methods (==) :: MultiFilter -> MultiFilter -> Bool Source # (/=) :: MultiFilter -> MultiFilter -> Bool Source #
GObject MultiFilter Source # |
Instance details Defined in GI.Gtk.Objects.MultiFilter
ManagedPtrNewtype MultiFilter Source # |
Instance details Defined in GI.Gtk.Objects.MultiFilter Methods toManagedPtr :: MultiFilter -> ManagedPtr MultiFilter Source #
TypedObject MultiFilter Source # |
Instance details Defined in GI.Gtk.Objects.MultiFilter Methods glibType :: IO GType Source #
HasParentTypes MultiFilter Source # |
Instance details Defined in GI.Gtk.Objects.MultiFilter
IsGValue (Maybe MultiFilter) Source # | Convert `MultiFilter` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.MultiFilter Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe MultiFilter -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe MultiFilter) Source #
type ParentTypes MultiFilter Source # |
Instance details Defined in GI.Gtk.Objects.MultiFilter type ParentTypes MultiFilter = '[Filter, Object, ListModel, Buildable]

class (GObject o, IsDescendantOf MultiFilter o) => IsMultiFilter o Source #

Type class for types which can be safely cast to `MultiFilter`, for instance with `toMultiFilter`.

#### Instances

Instances details

(GObject o, IsDescendantOf MultiFilter o) => IsMultiFilter o Source # |
Instance details Defined in GI.Gtk.Objects.MultiFilter

toMultiFilter :: (MonadIO m, IsMultiFilter o) => o -> m MultiFilter Source #

Cast to `MultiFilter`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

append, bindProperty, bindPropertyFull, changed, forceFloating, freezeNotify, getv, isFloating, itemsChanged, match, notify, notifyByPspec, ref, refSink, remove, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getBuildableId, getData, getItem, getItemType, getNItems, getProperty, getQdata, getStrictness.

#### Setters

setData, setDataFull, setProperty.

## append

multiFilterAppend Source #

Arguments

:: (HasCallStack, MonadIO m, IsMultiFilter a, IsFilter b) |
=> a | `self`: a multi filter
-> b | `filter`: a filter to add
-> m () |

Adds a filter.

## remove

multiFilterRemove Source #

Arguments

:: (HasCallStack, MonadIO m, IsMultiFilter a) |
=> a | `self`: a multi filter
-> Word32 | `position`: position of filter to remove
-> m () |

Removes a filter.

If `position` is larger than the number of filters, nothing happens.

# Properties

## itemType

The type of items.

See `listModelGetItemType`.

Since: 4.8

getMultiFilterItemType :: (MonadIO m, IsMultiFilter o) => o -> m GType Source #

Get the value of the “`item-type`” property. When overloading is enabled, this is equivalent to

    get multiFilter #itemType

## nItems

The number of items.

See `listModelGetNItems`.

Since: 4.8

getMultiFilterNItems :: (MonadIO m, IsMultiFilter o) => o -> m Word32 Source #

Get the value of the “`n-items`” property. When overloading is enabled, this is equivalent to

    get multiFilter #nItems